abclinuxu.cz AbcLinuxu.cz itbiz.cz ITBiz.cz HDmag.cz HDmag.cz abcprace.cz AbcPráce.cz
AbcLinuxu hledá autory!
Inzerujte na AbcPráce.cz od 950 Kč
Rozšířené hledání
×

dnes 19:33 | Zajímavý článek Marek Stopka | Komentářů: 1
dnes 17:55 | Nová verze

Bylo oznámeno vydání nové verze 3.0.0 a krátce na to opravných verzí 3.0.1 a 3.0.2 nástroje mitmproxy určeného pro vytváření interaktivních MITM proxy pro HTTP a HTTPS komunikaci. Přehled novinek v příspěvku na blogu. Přispělo 56 vývojářů. Aktualizována byla také dokumentace [Hacker News].

Ladislav Hagara | Komentářů: 0
dnes 01:11 | Nová verze

Byla vydána nová major verze 3.0 svobodného multiplatformního geografického informačního systému QGIS (Wikipedie). Její kódové jméno je Girona, dle názvu města, ve kterém proběhlo 15. setkání vývojářů QGISu. Přehled novinek i s náhledy a animacemi v poznámkách k vydání.

Ladislav Hagara | Komentářů: 0
včera 20:33 | Zajímavý článek

Nadace Raspberry Pi vydala sedmašedesáté číslo (pdf) anglicky psaného časopisu MagPi věnovanému Raspberry Pi a projektům postaveným na tomto jednodeskovém počítači a čtvrté číslo (pdf) časopisu pro kutily HackSpace věnovanému navíc 3D tisku, pájení, řezání nebo i elektronice a IoT.

Ladislav Hagara | Komentářů: 0
včera 18:33 | Komunita

Morevna Project, který stojí za řadou svobodného softwaru pro animátory (např. Synfig Studio, RenderChan nebo Papagayo-NG) a svobodnými (CC-BY-SA) animovanými filmy/komiksy Morevna (3. díl) a Pepper&Carrot: The Potion Contest (6. díl), sbírá do 1. března příspěvky na 4. díl svého animovaného filmu Morevna. Mezi odměnami přispěvatelům lze najít např. i videokurzy animace v Synfigu či Blenderu.

xHire | Komentářů: 0
včera 12:22 | Bezpečnostní upozornění

Ve středu vydaná "npm@next" verze 5.7.0 správce balíčků pro JavaScript npm (Wikipedie, Node Package Manager) přinesla řadě uživatelů Linuxu nečekanou nepříjemnost. V závislosti na způsobu instalace a ve spojení s příkazem sudo mohlo dojít ke změně vlastníka u systémových souborů, také například /. Chyba je opravena v před několika hodinami vydané verzi npm 5.7.1 [reddit].

Ladislav Hagara | Komentářů: 12
včera 10:00 | Nová verze

Byla vydána verze 10.5 open source alternativy GitHubu, tj. softwarového nástroje s webovým rozhraním umožňujícího spolupráci na zdrojových kódech, GitLab (Wikipedie). Představení nových vlastností v příspěvku na blogu. Zdůraznit lze integrovanou podporu Let's Encrypt.

Ladislav Hagara | Komentářů: 0
22.2. 12:33 | Komunita

Příspěvek na blogu Signalu (Wikipedie) informuje o založení neziskové nadace Signal Foundation, jež bude zastřešovat další vývoj tohoto svobodného bezpečného komunikátoru běžícího také na Linuxu (Signal Desktop). Brian Acton, spoluzakladatel WhatsAppu, věnoval nadaci 50 milionů dolarů [Hacker News].

Ladislav Hagara | Komentářů: 1
22.2. 05:55 | Zajímavý článek

Článek na Fedora Magazine krátce představuje programovací jazyk Rust a několik zajímavých v Rustu naprogramovaných terminálových aplikací. Jedná se o alternativu k příkazu grep ripgrep, moderní barevnou alternativu k příkazu ls exa, příkazem cloc inspirovaný tokei a zvířátko v terminálu ternimal.

Ladislav Hagara | Komentářů: 0
21.2. 23:55 | Zajímavý projekt

Byl spuštěn Humble Classics Return Bundle. Za vlastní cenu lze koupit hry Broken Sword 5 - The Serpent's Curse, Shadowrun Returns a Shadowrun: Dragonfall - Director's Cut. Při nadprůměrné platbě (aktuálně 8,48 $) také Shadowrun: Hong Kong - Extended Edition, Wasteland 2: Director's Cut - Standard Edition, Age of Wonders III a Xenonauts. Při platbě 15 $ a více lze získat navíc Torment: Tides of Numenera a Dreamfall Chapters: The Final Cut Edition.

Ladislav Hagara | Komentářů: 0
Který webový vyhledávač používáte nejčastěji?
 (2%)
 (28%)
 (61%)
 (2%)
 (3%)
 (0%)
 (1%)
 (1%)
Celkem 449 hlasů
 Komentářů: 35, poslední 21.2. 19:51
    Rozcestník

    Dotaz: DHCP server + DHCRELAY

    27.4.2007 19:53 Michal
    DHCP server + DHCRELAY
    Přečteno: 811×
    Zdravim. Uz delsi dobu se snazim rozchodit DHCP server na jednom stroji a DHCRELAY na druhem stroji, ktery bude predavat dotaz prvnimu.

    DHCP server
    na eth0 net 10.10.10.2
    na eth1 lokal 192.168.1.1

    v /etc/default/dhcp3-server
    INTERFACES="eth1"
    v /etc/dhcp3/dhcpd.conf
    authoritative;
    deny unknown-clients;
    default-lease-time 86400;
    max-lease-time 86400;          
    option domain-name-servers 192.168.10.2;
    
    subnet 192.168.10.0 netmask 255.255.255.0 {
    range 192.168.10.2 192.168.10.254;
    option routers 192.168.10.1;
    option broadcast-address 192.168.10.1;
    
    host TEST {hardware ethernet 00:E0:4C:BD:97:C9; fixed-address 192.168.10.2;}
    
    }
    sit 192.168.10.0/24 je routovana na stroj 192.168.1.2, kde potrebuji rozchodit dhcrelay.

    DHCRELAY
    /etc/default/dhcp-relay
    INTERFACES="eth1"
    DHCP_SERVERS="192.168.1.1"
    OPTIONS=""
    
    Problem nastava uz pri spusteni dhcpserveru
    Starting DHCP server: dhcpd3 failed to start - check syslog for diagnostics.
    V logu je hlaska
    No subnet declaration for eth1 (192.168.1.1).
    Da se spustit DHCP server, aby nekontroloval to co ma na sitovkach ??

    Odpovědi

    vasek125 avatar 27.4.2007 20:03 vasek125 | skóre: 30 | Mladá Boleslav
    Rozbalit Rozbalit vše Re: DHCP server + DHCRELAY
    Mrkni se do /etc/init.d/dhcpd nebo jak se to jmenuje v tve distribuci a nastav si pro ktere sitovky to bude, vim, ze v debianu byla chyba, ze INTERFACES si ten skript nebral, protoze tam byl nekde bug, alespon v te me verzi. Takze pokud mate treba ten 192.168.1.10 na eth1 192.168.1.1 na eth0 tak dhcpd -q eth1, jinak napravit skript.
    27.4.2007 20:27 Michal
    Rozbalit Rozbalit vše Re: DHCP server + DHCRELAY
    Pouzivam debian. Nevis nahodou co presne si v tom souboru /etc/init.d/dhcp3-server menil. Zmenil jsem
    start-stop-daemon --start --quiet --pidfile $DHCPDPID \
                            --exec /usr/sbin/dhcpd3 -- -q $INTERFACES
    

    na
    start-stop-daemon --start --quiet --pidfile $DHCPDPID \
                            --exec /usr/sbin/dhcpd3 -- -q eth1
    

    to nepomohlo. Porad to same. DHCP ma potiz v tom ze ma nastavene rozdelovani IP 192.168.10.X. A na zadne sitovce tento rozsah nema nahozeny.

    Vypis celeho souboru
    #!/bin/sh
    #
    # $Id: dhcp3-server.init.d,v 1.4 2003/07/13 19:12:41 mdz Exp $
    #
    
    test -f /usr/sbin/dhcpd3 || exit 0
    
    # It is not safe to start if we don't have a default configuration...
    if [ ! -f /etc/default/dhcp3-server ]; then
            echo "/etc/default/dhcp3-server does not exist! - Aborting..."
            echo "Run 'dpkg-reconfigure dhcp3-server' to fix the problem."
            exit 0
    fi
    
    # Read init script configuration (so far only interfaces the daemon
    # should listen on.)
    . /etc/default/dhcp3-server
    
    DHCPDPID=/var/run/dhcpd.pid
    
    case "$1" in
            start)
                    echo -n "Starting DHCP server: "
                    start-stop-daemon --start --quiet --pidfile $DHCPDPID \
                            --exec /usr/sbin/dhcpd3 -- -q $INTERFACES
                    sleep 2
    
                    if [ -f "$DHCPDPID" ] && ps h `cat "$DHCPDPID"` >/dev/null; then
                            echo "dhcpd3."
                    else
                            echo "dhcpd3 failed to start - check syslog for diagnostics."
                            exit 1
                    fi
                    ;;
            stop)
                    echo -n "Stopping DHCP server: dhcpd3"
                    start-stop-daemon --stop --quiet --pidfile $DHCPDPID
                    echo "."
                    ;;
            restart | force-reload)
                    $0 stop
                    sleep 2
                    $0 start
                    if [ "$?" != "0" ]; then
                            exit 1
                    fi
                    ;;
            *)
                    echo "Usage: /etc/init.d/dhcp3-server {start|stop|restart|force-reload}"
                    exit 1
    esac
    
    exit 0
    
    

    Založit nové vláknoNahoru

    Tiskni Sdílej: Linkuj Jaggni to Vybrali.sme.sk Google Del.icio.us Facebook

    ISSN 1214-1267   www.czech-server.cz
    © 1999-2015 Nitemedia s. r. o. Všechna práva vyhrazena.